DX Application Performance Management

Expand all | Collapse all

Agent compatibility with G1GC garbage collection policy

Jump to Best Answer
  • 1.  Agent compatibility with G1GC garbage collection policy

    Posted 08-27-2015 12:37 PM

    Does anyone know if there is a specific minimum Java agent version required to support the G1GC garbage collection policy?

     

    Thank you for your help in advance!



  • 2.  Re: Agent compatibility with G1GC garbage collection policy
    Best Answer

    Posted 08-27-2015 02:44 PM

    As answered in G1 GC field packs? APM 9.7+ supports G1 GC.

     

    Ciao,

    Guenter



  • 3.  Re: Agent compatibility with G1GC garbage collection policy

    Posted 08-28-2015 01:33 AM

    For those customers not able to view the link (due to it being a private group), basically the information is available via JMX.

     

    If you're interested in obtaining a FieldPack for this for pre-9.7 agents, please make your requests over on APM DEV (http://bit.ly/caapm_dev).



  • 4.  Re: Agent compatibility with G1GC garbage collection policy

    Posted 08-28-2015 01:12 PM

    Thanks, Hiko_Davis! I didn't notice that the other thread was in a private group.